Subject: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down

From: "Strozzi, David J." <[email-masked]>
Date: Fri, 13 May 2016 16:22:43 +0000

Hi folks,

Thanks for addressing this!  The usual behavior of windows programs on restart or shutdown is to ask the user to save unsaved files, rather than saving them silently.  The current patch to save automatically is better than losing data, but prompting the user I think would be the best thing.  Or even having emacs abort the shutdown and give a message like "emacs cancelled shutdown due to unsaved files."

Dave

-----Original Message-----
From: Ken Brown [mailto:[email-masked]] 
Sent: Thursday, May 12, 2016 12:58 PM
To: Eli Zaretskii
Cc: Strozzi, David J.; [email-masked]
Subject: Re: bug#23483: 24.5; cygwin emacs w32 doesn not ask to save files when windows shuts down

On 5/12/2016 12:56 PM, Eli Zaretskii wrote:
> Did you try this when some of the buffers have unsaved changes?  I'm 
> thinking about questions Emacs might ask then.

Yes, I tried it.  Emacs just auto-saved the changed buffers with no questions asked.

> If that is not a problem, feel free to commit to master.

Done as git commit 6435f41.  Thanks for your help, Eli.

Closing.

Ken